/****************************************************************************/
/* IPMON version 1.0                                                        */
/****************************************************************************/
/* You can redistribute this program as much as you want.  All I ask is     */
/* that you give credit where credit is due.  If you make modifications or  */
/* bug fixes, please send them to me so they can be incorporated into the   */
/* next release.                                                            */
/*                                                                          */
/* IPMON takes its basic packet processing shell from NFSWATCH.  Much       */
/* thanks to the creators of NFSWATCH:                                      */
/*                                                                          */
/* Dave Curry					Jeff Mogul                  */
/* SRI International				Digital Equipment Corp.     */
/* 333 Ravenswood Avenue			Western Research Laboratory */
/* Menlo Park, CA 94025				100 Hamilton Avenue         */
/* davy@erg.sri.com				Palo Alto, CA 94301         */
/* 						mogul@decwrl.dec.com        */
/*                                                                          */
/* For a good set of base code for me to hack and build on.                 */
/*                                                                          */
/* Randall Stewart                                                          */
/* Fujitsu Network Switching                                                */
/* 4403 Bland Road                                                          */
/* Raleigh, N.C. 27609                                                      */
/* rrs%fns-nc1%mcnc-ort@uunet.uu.net                                        */
/****************************************************************************/
extern Counter udpCnts[MAXNUMOFPORTS][2];
extern Counter tcpCnts[MAXNUMOFPORTS][2];
extern Counter broadcast[2];
extern Counter pkt_total[2];
extern Counter arpCnts[2];
extern Counter byteTotals[3];
extern int statistics;
extern Counter timeFlush[3];
extern Counter icmpCnts[MAXICMPMSG][2];
extern Counter tcpTotal[2];
extern Counter udpTotal[2];
extern Counter icmpTotal[2];
Counter broadcast[2];
extern Counter netdisk[2];
extern Counter unknownip[2];
extern Counter revarpCnts[2];
extern Counter unknown[2];
extern Counter pkt_drops[2];
extern PacketCounter *pktUdp;
extern PacketCounter *pktTcp;
extern int *totMonLost,*showTotals;
extern char *strings[20];
extern FILE		*logfp,*flogging;	/* log file pointer	*/
extern char *inputBuf;
extern int fk;
extern int *packetOfInterest;
extern int *tcpFlag;
extern char **foo;
extern int		ninterfaces;			/* number of interfaces	*/
extern int	if_fd[];			/* nit device file desc	*/
extern char		*pname;
extern int		logging;
extern int		do_update;
extern int		cycletime;
extern int		scanCycle;
extern int		truncation;
extern int		screen_inited;
extern int 		advanceFlag;
extern int		silent;
extern char		logFileName[128];
extern struct timeval	starttime;

extern u_long		thisdst;
extern u_long		srcaddrs[];
extern u_long		dstaddrs[];

extern char		myhost[];
extern char		srchost[];
extern char		dsthost[];



extern char		*prompt;
extern char		*filelist;
extern int mumMode;
extern void ip_filter(),tcp_filter(),udp_filter(),nd_filter(),icmp_filter(),finish();
extern void clear_vars(),processCommand(),clearError(),setupShm(),iploop(),showPkt(),ShowIP(),showTcp(),showUdp();
extern void showAddress(),reDraw(),myrefresh(),flush_nit(),pkt_filter(),setup_screen(),command(),error(),setup_pkt_counters();
extern void useage(),label_screen(),udpate_screen(),clearHelp(),showHelp(),scanLoop(),displayPkts();
extern void showTotalLost(),viewFile(),ShowUnknown(),showEnet(),showIPUnknown(),showJunk(),showIcmp();
extern void flushFile();
extern char *prtime(),*genString();
extern int errno;
